ServiceTimelineEvent (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.service.timelineservice, enum: ServiceTimelineEvent

Package org.apache.hadoop.yarn.service.timelineservice

# Enum Class ServiceTimelineEvent

java.lang.Object
java.lang.Enum<ServiceTimelineEvent>
org.apache.hadoop.yarn.service.timelineservice.ServiceTimelineEvent

All Implemented Interfaces:
  `Serializable`, `Comparable<ServiceTimelineEvent>`, `Constable`

public enum ServiceTimelineEvent extends Enum<ServiceTimelineEvent>
Events that are used to store in ATS.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMPONENT_FINISHED`
  `COMPONENT_INSTANCE_BECOME_READY`
  `COMPONENT_INSTANCE_IP_HOST_UPDATE`
  `COMPONENT_INSTANCE_REGISTERED`
  `COMPONENT_INSTANCE_UNREGISTERED`
  `SERVICE_ATTEMPT_REGISTERED`
  `SERVICE_ATTEMPT_UNREGISTERED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ServiceTimelineEvent`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ServiceTimelineEvent[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SERVICE_ATTEMPT_REGISTERED

    public static final ServiceTimelineEvent SERVICE_ATTEMPT_REGISTERED

  - ### SERVICE_ATTEMPT_UNREGISTERED

    public static final ServiceTimelineEvent SERVICE_ATTEMPT_UNREGISTERED

  - ### COMPONENT_INSTANCE_REGISTERED

    public static final ServiceTimelineEvent COMPONENT_INSTANCE_REGISTERED

  - ### COMPONENT_INSTANCE_UNREGISTERED

    public static final ServiceTimelineEvent COMPONENT_INSTANCE_UNREGISTERED

  - ### COMPONENT_INSTANCE_IP_HOST_UPDATE

    public static final ServiceTimelineEvent COMPONENT_INSTANCE_IP_HOST_UPDATE

  - ### COMPONENT_INSTANCE_BECOME_READY

    public static final ServiceTimelineEvent COMPONENT_INSTANCE_BECOME_READY

  - ### COMPONENT_FINISHED

    public static final ServiceTimelineEvent COMPONENT_FINISHED

- ## Method Details

  - ### values

    public static ServiceTimelineEvent[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ServiceTimelineEvent valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null